[banshee] [build] replace autogen.osx.sh with bootstrap-osx



commit 2ab2e9db4420bfd31d726e0a035f393a4503ad26
Author: Aaron Bockover <abockover novell com>
Date:   Tue Dec 29 09:05:23 2009 -0500

    [build] replace autogen.osx.sh with bootstrap-osx

 autogen.osx.sh |    4 ----
 bootstrap-osx  |   35 +++++++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+), 4 deletions(-)
---
diff --git a/bootstrap-osx b/bootstrap-osx
new file mode 100755
index 0000000..c76942e
--- /dev/null
+++ b/bootstrap-osx
@@ -0,0 +1,35 @@
+#!/usr/bin/env bash
+
+set -e
+
+pushd build/bundle
+./build.py -v profile.osx.py
+./build.py -e profile.osx.py > osx.env
+source osx.env
+popd
+
+./autogen.sh --prefix="$BUILD_PREFIX" \
+	--disable-mtp \
+	--disable-daap \
+	--disable-ipod \
+	--disable-boo \
+	--disable-gnome \
+	--disable-docs \
+	--enable-osx
+
+cat <<EOF
+
+The world has built! You can now build Banshee.
+Be sure to source in the profile environment:
+
+  $ source build/bundle/osx.env
+
+Once sourced, just run autogen/configure/make, etc
+as normal. The install prefix is available as the
+BUILD_PREFIX environment variable - e.g.:
+
+  $ ./autogen.sh --prefix="\$BUILD_PREFIX"
+
+Have fun!
+
+EOF



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]